package com.mortals.xhx.daemon.applicationservice;

import com.mortals.framework.springcloud.service.IApplicationStartedService;
import com.mortals.framework.util.ThreadPool;
import com.mortals.xhx.base.system.resource.service.ResourceService;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class DemoStartedService implements IApplicationStartedService {

    private static Log logger = LogFactory.getLog(DemoStartedService.class);
    @Autowired
    private ResourceService resourceService;

    @Override
    public void start() {
        logger.info("开始服务..[配置已加载完成，并且所有框架都已经初始化]");

        ThreadPool.getInstance().init(10);

        logger.info("刷新资源路径");
        resourceService.refreshResourceUrl("com.mortals.xhx", null);

    }

    @Override
    public void stop() {
        logger.info("停止服务..");
    }

    @Override
    public int getOrder() {
        return 10;
    }

}
