package com.mortals.xhx.module.dimension.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.RuleConditionEnum;
import com.mortals.xhx.common.code.RuleTypeEnum;
import com.mortals.xhx.module.dimension.model.DimensionResourceRuleEntity;
import com.mortals.xhx.module.dimension.service.DimensionResourceRuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
*
* 角色资源维度规则
*
* @author zxfei
* @date 2024-05-16
*/
@RestController
@RequestMapping("dimension/resource/rule")
public class DimensionResourceRuleController extends BaseCRUDJsonBodyMappingController<DimensionResourceRuleService,DimensionResourceRuleEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DimensionResourceRuleController(){
        super.setModuleDesc( "角色资源维度规则");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
                this.addDict(model, "ruleCondition", RuleConditionEnum.getEnumMap());
                this.addDict(model, "ruleType", RuleTypeEnum.getEnumMap());
        super.init(model, context);
    }


}